Bug 659172 - [WHQL] pwrtest failed in the job "CHAOS-Concurrent Hardware And OS test"
[WHQL] pwrtest failed in the job "CHAOS-Concurrent Hardware And OS test"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.6
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
: Triaged
Depends On:
Blocks: Rhel5KvmTier1 663240
  Show dependency treegraph
 
Reported: 2010-12-01 22:07 EST by Qunfang Zhang
Modified: 2013-12-08 19:52 EST (History)
10 users (show)

See Also:
Fixed In Version: kvm-83-225.el5
Doc Type: Bug Fix
Doc Text:
When the "CHAOS-Concurrent Hardware And OS test" job was run in the WHQL (Windows Hardware Quality Labs) test environment on a Windows guest, the "run pwrtest" child job failed even though the main CHAOS job passed. This bug has been fixed in the KVM BIOS, and the "run pwrtest" job now passes successfully in the described scenario.
Story Points: ---
Clone Of:
: 663240 (view as bug list)
Environment:
Last Closed: 2011-07-21 04:50:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Qunfang Zhang 2010-12-01 22:07:46 EST
Description of problem:
Discussed this problem with Vadim, Yan in the mail before. File it in bz to track the issue here.

The problem is when running job  "CHAOS-Concurrent Hardware And OS test" (both for virtio block and virtio nic), the child job "run pwrtest" failed.

Version-Release number of selected component (if applicable):
virtio-win-1.0.0-13.45801.el5

How reproducible:
Always

Steps to Reproduce:
1.Prepare for whql test environment.
2.Run whql nic or block test for win2k8-R2 or win7-64, because only for these 2 guests have the job "CHAOS".
3.Run job "CHAOS-Concurrent Hardware And OS test"
  
Actual results:
Child job "run pwrtest" failed though the main job "CHAOS" passed.

Expected results:
"run pwrtest" should pass.

Additional info:

Log from DTM studio:

Runtime 11/22/2010 7:25:17.412 PM _  
Runtime Index:   121895694 
Machine:   WIN2K8R2-BLK 
Process Name:   C:\WTT\JobsWorkingDir\Tasks\WTTJobRun8C7504ED-4F56-4754-974B-6F69DD93DE88\pwrtest.exe 
Process ID:   2784 
Thread ID:   2788 
Context _  _  
Context Index:   2376926016 
Current:   PwrTest 
Parent:   WTTLOG 
Start Test 11/22/2010 7:25:17.412 PM PwrTest 
Message 11/22/2010 7:25:17.412 PM  
Message 11/22/2010 7:25:17.412 PM 
NO.0 Transition--TargetState:S3 
Message 11/22/2010 7:25:24.412 PM TargetState: S3 
Message 11/22/2010 7:25:24.412 PM EffectiveState: S3 
Message 11/22/2010 7:25:24.412 PM SleepTimeMs: 3150  
Message 11/22/2010 7:25:24.412 PM HiberPagesWritten: 0  
Message 11/22/2010 7:25:24.412 PM HiberWriteTimeMs: 0  
Message 11/22/2010 7:25:24.412 PM HiberReadTimeMs: 0  
Message 11/22/2010 7:25:24.412 PM BiosInitTimeMs: 0  
Message 11/22/2010 7:25:24.412 PM DriverWakeTimeMs: 131  
Message 11/22/2010 7:25:24.412 PM Transition StartTime: 11/22/2010 17:25:18::681 
Message 11/22/2010 7:25:24.412 PM Transition EndTime: 11/22/2010 17:25:22::065 
Message 11/22/2010 7:25:24.412 PM 
NO.1 Transition--TargetState:S3 
Message 11/22/2010 7:30:29.412 PM TargetState: S3 
Message 11/22/2010 7:30:29.412 PM EffectiveState: S3 
Message 11/22/2010 7:30:29.412 PM SleepTimeMs: 2754  
Message 11/22/2010 7:30:29.412 PM HiberPagesWritten: 0  
Message 11/22/2010 7:30:29.412 PM HiberWriteTimeMs: 0  
Message 11/22/2010 7:30:29.412 PM HiberReadTimeMs: 0  
Message 11/22/2010 7:30:29.412 PM BiosInitTimeMs: 0  
Message 11/22/2010 7:30:29.412 PM DriverWakeTimeMs: 150  
Message 11/22/2010 7:30:29.412 PM Transition StartTime: 11/22/2010 17:30:25::025 
Message 11/22/2010 7:30:29.412 PM Transition EndTime: 11/22/2010 17:30:28::009 
Message 11/22/2010 7:30:29.412 PM 
NO.2 Transition--TargetState:S4 
Error 11/22/2010 7:35:29.412 PM ERROR: System does not support Sleep with RTC wakeup!
PoCapSx: S4 PoCapRtcWak: S3 
File:   d:\5429\base\power\tools\pwrtest\exe\sleep.cpp Line: 1463 
Error Type:   NT_STATUS 
Error Code:   0xc0000001 
Error Text:   Error 0xc0000001 
Message 11/22/2010 7:35:29.412 PM 
NO.3 Transition--TargetState:S3 
Message 11/22/2010 7:40:38.412 PM TargetState: S3 
Message 11/22/2010 7:40:38.412 PM EffectiveState: S3 
Message 11/22/2010 7:40:38.412 PM SleepTimeMs: 2804  
Message 11/22/2010 7:40:38.412 PM HiberPagesWritten: 0  
Message 11/22/2010 7:40:38.412 PM HiberWriteTimeMs: 0  
Message 11/22/2010 7:40:38.412 PM HiberReadTimeMs: 0  
Message 11/22/2010 7:40:38.412 PM BiosInitTimeMs: 0  
Message 11/22/2010 7:40:38.412 PM DriverWakeTimeMs: 142  
Message 11/22/2010 7:40:38.412 PM Transition StartTime: 11/22/2010 17:40:29::993 
Message 11/22/2010 7:40:38.412 PM Transition EndTime: 11/22/2010 17:40:33::015 
End Test 11/22/2010 7:40:38.412 PM PwrTest 
Result:   Fail 
Repro:   pwrtest /sleep /c:4 /d:300 /s:all
Comment 1 Qunfang Zhang 2010-12-01 22:14:27 EST
RHEL5.6 kvm and kernel version: 
kvm-83-207.el5
kernel-2.6.18-194.el5

Re-install a RHEL5.5 host and re-test with the same virtio driver,this problem exists as well.

Checked the test log in RHEL6.0, also have this issue.
Comment 2 Vadim Rozenfeld 2010-12-09 16:09:07 EST
It is a BIOS problem. We need to set RTC_S4 FACP bit on.
Comment 5 Eduardo Habkost 2011-01-12 14:50:28 EST
(In reply to comment #2)
> It is a BIOS problem. We need to set RTC_S4 FACP bit on.

Reassigning to kvm, then.

Assigning to Gleb.
Comment 10 dawu 2011-02-24 01:39:12 EST
Verified this issue with kvm-83-225.el5 on kernel-2.6.18-238.el5, this issue does not reproduce.
Comment 13 Tomas Capek 2011-07-19 05:06:35 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When the "CHAOS-Concurrent Hardware And OS test" job was run in the WHQL (Windows Hardware Quality Labs) test environment on a Windows guest, the "run pwrtest" child job failed even though the main CHAOS job passed. This bug has been fixed in the KVM BIOS, and the "run pwrtest" job now passes successfully in the described scenario.
Comment 14 errata-xmlrpc 2011-07-21 04:50:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1068.html
Comment 15 errata-xmlrpc 2011-07-21 07:49:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1068.html

Note You need to log in before you can comment on or make changes to this bug.